[tool.poetry]
name = "ligo.em-bright"
version = "1.1.6dev"
description = "Possibility and properties of Electromagnetically-bright sources of gravitational-wave events"
readme = "README.md"
authors = [
    "Deep Chatterjee <deep.chatterjee@ligo.org>",
    "Shaon Ghosh <shaon.ghosh@ligo.org>"]
packages = [
    { include = "ligo" },
]
exclude = [
    "ligo/em_bright/data/*pickle",
    "ligo/em_bright/data/*json",
    "ligo/em_bright/data/*dat",
    "ligo/em_bright/data/*h5"
]
license = "MIT"


[tool.poetry.dependencies]
python = ">=3.9"
scikit-learn = "==1.2.1" 
astropy = ">=5.2.1"
pandas = ">=1.5.2"
lalsuite = "^7.0"
h5py = ">=3.7.0"

[tool.poetry.dev-dependencies]
pytest = "*"
Sphinx = "*"
toml = "*"
nbsphinx = "*"
flake8 = "*"
htcondor = ">=9.0.6"


[tool.poetry.scripts]
em_bright_categorize = 'ligo.em_bright.categorize:main'
em_bright_categorize_all_eos = 'ligo.em_bright.categorize:main_all'
em_bright_create_param_sweep_plot = 'ligo.em_bright.utils:param_sweep_plot'
em_bright_dag_writer = 'ligo.em_bright.dag_writer:main'
em_bright_extract = 'ligo.em_bright.utils:extract'
em_bright_join = 'ligo.em_bright.utils:join'
em_bright_train = 'ligo.em_bright.utils:train'


[tool.pytest.ini_options]
addopts = "-rsx --tb=short"


[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
